CURLOPT_CERTINFO(3)

NAME
CURLOPT_CERTINFO - request SSL certificate information

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_CERTINFO, long certinfo);

DESCRIPTION
Pass a long set to 1 to enable libcurl's certificate chain info gatherer. With this enabled, libcurl (if built with OpenSSL, NSS or GSKit) will extract lots of information and data about the certificates in the certificate chain used in the SSL connection. This data may then be retrieved after a transfer using curl_easy_getinfo(3) and its option CURLINFO_CERTINFO.

DEFAULT
0

PROTOCOLS
All TLS-based

EXAMPLE
TODO

AVAILABILITY
Added in 7.19.1

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_CAINFO(3), CURLOPT_SSL_VERIFYPEER(3),